import type { _MTRTestClusterClusterSimpleStruct } from "./MTRTestClusterClusterSimpleStruct.js";
import type { _MTRUnitTestingClusterNestedStructList } from "./MTRUnitTestingClusterNestedStructList.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRTestClusterClusterNestedStructList extends _MTRUnitTestingClusterNestedStructList {
    static alloc(): _MTRTestClusterClusterNestedStructList;
    static new(): _MTRTestClusterClusterNestedStructList;
    init(): _MTRTestClusterClusterNestedStructList;
    a(): _NSNumber;
    setA$(value: _NSNumber): void;
    b(): _NSNumber;
    setB$(value: _NSNumber): void;
    c(): _MTRTestClusterClusterSimpleStruct;
    d(): _NSArray;
    setD$(value: _NSArray): void;
    e(): _NSArray;
    setE$(value: _NSArray): void;
    f(): _NSArray;
    setF$(value: _NSArray): void;
    g(): _NSArray;
    setG$(value: _NSArray): void;
}
